Page MenuHomePhabricator

Let file captions be edited on Mobile Frontend
Closed, ResolvedPublic

Description

The mobile web view of Commons lacks an edit button to initiate editing of captions. See image below.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 7 2018, 8:16 PM
Ramsey-WMF triaged this task as High priority.Nov 7 2018, 8:17 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptNov 7 2018, 8:17 PM

Change 472345 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/WikibaseMediaInfo@master] WIP: Mobile editing of captions, sort-of

https://gerrit.wikimedia.org/r/472345

With some hacking around in the Wikibase code, I got the code executing and it works fine (but looks ugly as sin):

Happy to do a mobile-specific set of styling, but first we need to determine with the Wikibase team whether this approach is OK by them.

Some quick styling changes gets us to:

Read modeEdit mode

Proper mobile design is not possible given how the items are rendered on the page right now, sadly. :-(

Proper mobile design is not possible given how the items are rendered on the page right now, sadly. :-(

This is good enough for v1, I think :)

You mentioned earlier wanting to check in with Team Wikibase on these changes. Have you initiated that already or shall I?

Proper mobile design is not possible given how the items are rendered on the page right now, sadly. :-(

This is good enough for v1, I think :)
You mentioned earlier wanting to check in with Team Wikibase on these changes. Have you initiated that already or shall I?

I'll do it.

Ramsey-WMF moved this task from Untriaged to Triaged on the Multimedia board.Nov 8 2018, 10:01 PM
Ramsey-WMF moved this task from Triaged to Next up on the Multimedia board.Nov 8 2018, 10:06 PM
Cparle added a subscriber: Cparle.Nov 9 2018, 12:34 PM

Proper mobile design is not possible given how the items are rendered on the page right now, sadly. :-(

@Jdforrester-WMF will T204934 fix that?

Proper mobile design is not possible given how the items are rendered on the page right now, sadly. :-(

@Jdforrester-WMF will T204934 fix that?

Yes. Something to work on once we're in prod. :-)

Proper mobile design is not possible given how the items are rendered on the page right now, sadly. :-(

@Jdforrester-WMF will T204934 fix that?

Yes. Something to work on once we're in prod. :-)

Specifically that looks like implementation of T201463.

Jdforrester-WMF renamed this task from Beta Commons: File Captions can't be edited on mobile browsers to Let file captions be edited on Mobile Frontend.Jan 11 2019, 9:52 PM
Jdforrester-WMF updated the task description. (Show Details)

The Structured data header is also missing on mobile:

Related to the styling changes above, if mobile web follows the Upload Wizard pattern, we'll get more width for the caption text:

Change 472344 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/Wikibase@master] Enable a few lib and repo RL modules in mobile target for SDC

https://gerrit.wikimedia.org/r/472344

Change 472344 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Enable a few lib and repo RL modules in mobile target for SDC

https://gerrit.wikimedia.org/r/472344

Change 472345 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Mobile editing of captions

https://gerrit.wikimedia.org/r/472345

This will go live on 2019-02-05 on TestCommons and 2019-02-06 on Commons.

Jdforrester-WMF added a comment.EditedFeb 6 2019, 5:49 PM

This isn't working on TestCommons for some reason. Am digging in.

Ignore that, TestCommons flipped back to wmf.14 without me noticing. All looks good.

Tested but not working properly.

Bugs found when editing while not logged in (both on Safari and Chrome on iOS):

  1. Attempts to add a NEW English Caption results in "Revision with ID not found" error. Editing existing captions seems to work fine for some files (on this image, editing a caption worked)
  2. Additionally, on the link above, the English caption I added via the desktop web interface ended up showing twice on the mobile interface after page refresh.
  3. Also, the entire caption section appears TWICE on the page; once in the correct place, but again just under the "Original Upload Log" section.
  4. On some files, existing captions do not appear at all on the mobile interface (this file as an example, which has both an existing English and German caption but neither appear in the mobile interface)
PDrouin-WMF added a comment.EditedFeb 8 2019, 8:08 PM

@Jdforrester-WMF @Ramsey-WMF

I have some feedback I'd like you to consider that will make the Captions mobile experience better:

current implementationrecommended design

Issues with current implementation:

  • Trash can is awkwardly placed
  • There is no gap between the language dropdown and the caption field, making it look like they run into each other
  • The width of the caption field is too short and the help text is impossible to read

Recommended changes

  • Move trash can to the same line as the language dropdown (just like Upload Wizard)
  • There needs to be a gap between the language dropdown and the caption field
  • Make the width of the caption field longer. Could go as far as to the end of “Publish changes”

I agree with these recommendations.

Erm ... guys, if patches for this ticket have been merged and are now live (which they have and they are), then IMO it's better to create new tickets for any outstanding issues rather than keep adding to this ticket

Cparle closed this task as Resolved.Feb 12 2019, 12:55 PM

Mover @Ramsey-WMF 's bugs to T215893, closing this